
=encoding utf8

=head1 NAME

Sidef::Sys::Sys

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = Sys(...)


=head1 INHERITS

Inherits methods from:

       * Sidef::Object::Object

=head1 METHODS

=head2 alarm

    Sys.alarm(sec)

Returns the

=cut

=head2 bless

    Sys.bless(obj, class)

Returns the

=cut

=head2 class_name

    Sys.class_name(obj)

Returns the

=cut

=head2 defined

    Sys.defined(obj)

Returns the

=cut

=head2 die

    Sys.die(*args)

Returns the

Aliases: I<raise>

=cut

=head2 eval

    Sys.eval(code)

Returns the

=cut

=head2 exec

    Sys.exec(*args)

Returns the

=cut

=head2 exit

    Sys.exit(code)

Returns the

=cut

=head2 fork

    Sys.fork

Returns the

=cut

=head2 getgrent

    Sys.getgrent

Returns the

=cut

=head2 getgrgid

    Sys.getgrgid(gid)

Returns the

=cut

=head2 getgrnam

    Sys.getgrnam(name)

Returns the

=cut

=head2 gethostbyaddr

    Sys.gethostbyaddr(addr, addrtype)

Returns the

=cut

=head2 gethostbyname

    Sys.gethostbyname(name)

Returns the

=cut

=head2 gethostent

    Sys.gethostent

Returns the

=cut

=head2 getnetbyaddr

    Sys.getnetbyaddr(addr, addrtype)

Returns the

=cut

=head2 getnetbyname

    Sys.getnetbyname(name)

Returns the

=cut

=head2 getnetent

    Sys.getnetent

Returns the

=cut

=head2 getpgrp

    Sys.getpgrp(pid)

Returns the

=cut

=head2 getppid

    Sys.getppid

Returns the

=cut

=head2 getpriority

    Sys.getpriority(which, who)

Returns the

=cut

=head2 getprotobyname

    Sys.getprotobyname(name)

Returns the

=cut

=head2 getprotobynumber

    Sys.getprotobynumber(num)

Returns the

=cut

=head2 getprotoent

    Sys.getprotoent

Returns the

=cut

=head2 getpwent

    Sys.getpwent

Returns the

=cut

=head2 getpwnam

    Sys.getpwnam(name)

Returns the

=cut

=head2 getpwuid

    Sys.getpwuid(uid)

Returns the

=cut

=head2 getservbyname

    Sys.getservbyname(name, proto)

Returns the

=cut

=head2 getservbyport

    Sys.getservbyport(port, proto)

Returns the

=cut

=head2 getservent

    Sys.getservent

Returns the

=cut

=head2 isweak

    Sys.isweak(obj)

Returns the

=cut

=head2 kill

    Sys.kill(signal, *list)

Returns the

=cut

=head2 nano_sleep

    Sys.nano_sleep(sec)

Returns the

Aliases: I<nanosleep>

=cut

=head2 open

    Sys.open(var, mode, filename)

Returns the

=cut

=head2 opendir

    Sys.opendir(var, dirname)

Returns the

=cut

=head2 os

    Sys.os

Returns the

Aliases: I<osname>

=cut

=head2 print

    Sys.print(*args)

Returns the

=cut

=head2 printf

    Sys.printf(*args)

Returns the

=cut

=head2 printh

    Sys.printh(fh, *args)

Returns the

=cut

=head2 read

    Sys.read(type, opt_arg)

Returns the

=cut

=head2 readln

    Sys.readln(text)

Returns the

Aliases: I<scanln>, I<readline>

=cut

=head2 ref

    Sys.ref(obj)

Returns the

=cut

=head2 refaddr

    Sys.refaddr(obj)

Returns the

=cut

=head2 reftype

    Sys.reftype(obj)

Returns the

=cut

=head2 run

    Sys.run(*args)

Returns the

Aliases: I<system>

=cut

=head2 say

    Sys.say(*args)

Returns the

Aliases: I<println>

=cut

=head2 select

    Sys.select(fh)

Returns the

=cut

=head2 setgrent

    Sys.setgrent

Returns the

=cut

=head2 sethostent

    Sys.sethostent(stayopen)

Returns the

=cut

=head2 setnetent

    Sys.setnetent(stayopen)

Returns the

=cut

=head2 setpgrp

    Sys.setpgrp(pid, pgrp)

Returns the

=cut

=head2 setpriority

    Sys.setpriority(which, who, priority)

Returns the

=cut

=head2 setprotoent

    Sys.setprotoent(stayopen)

Returns the

=cut

=head2 setpwent

    Sys.setpwent

Returns the

=cut

=head2 setservent

    Sys.setservent(stayopen)

Returns the

=cut

=head2 sidef

    Sys.sidef

Returns the

=cut

=head2 sleep

    Sys.sleep(sec)

Returns the

=cut

=head2 stderr

    Sys.stderr

Returns the

=cut

=head2 stdin

    Sys.stdin

Returns the

=cut

=head2 stdout

    Sys.stdout

Returns the

=cut

=head2 ualarm

    Sys.ualarm(sec)

Returns the

Aliases: I<micro_alarm>

=cut

=head2 umask

    Sys.umask(mode)

Returns the

=cut

=head2 unweaken

    Sys.unweaken(obj)

Returns the

=cut

=head2 user

    Sys.user

Returns the

Aliases: I<getlogin>

=cut

=head2 usleep

    Sys.usleep(sec)

Returns the

Aliases: I<micro_sleep>

=cut

=head2 wait

    Sys.wait

Returns the

=cut

=head2 warn

    Sys.warn(*args)

Returns the

=cut

=head2 weaken

    Sys.weaken(obj)

Returns the

=cut
